Bug Hunting Session
Bug 63478 - FILEOPEN does not honour <table:calculation-settings><table:null-date table:date-value="1900-01-01"/></table:calculation-settings>
Summary: FILEOPEN does not honour <table:calculation-settings><table:null-date table:d...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.5.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 36858
  Show dependency treegraph
 
Reported: 2013-04-12 16:31 UTC by Lionel Elie Mamane
Modified: 2019-12-03 14:09 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
reproduction case (4.35 KB, application/vnd.oasis.opendocument.text)
2013-04-12 16:31 UTC, Lionel Elie Mamane
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2013-04-12 16:31:44 UTC
Created attachment 77895 [details]
reproduction case

Open attached OpenDocument text document. It contains the setting:


<table:calculation-settings>
  <table:null-date table:date-value="1900-01-01"/>
</table:calculation-settings>

and an embedded table which has in particular these two cells:

<table:table-cell table:style-name="ce4" office:date-value="1899-12-30T00:00:00.0Z" office:value-type="date" />
<table:table-cell table:style-name="ce5" office:date-value="1899-12-30T00:00:00.0Z" office:value-type="date" />

Where style ce4 has a *date* data-style and ce5 has a *number* data-style.

The cell with style "ce5" should be displayed as "-2" (because the zero date is set to 1900-01-01), but is displayed as "0".

The Base Report Builder tries to work around that, but it is kludge upon kludge, which is fragile and each time one case is fixed, another corner case crops up and breaks. I'd appreciate if this could be fixed cleanly in Writer to streamline the Base Report Builder.

Thanks in advance!
Comment 1 Joel Madero 2013-04-13 21:34:02 UTC
Verified in 3.6.5.2, going to add Cedric as well to see if we can get some input or volunteer.
Comment 2 Cédric Bosdonnat 2014-01-20 08:57:22 UTC
Restricted my LibreOffice hacking area
Comment 3 Joel Madero 2015-05-02 15:43:01 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-06-21 10:33:37 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 5 QA Administrators 2016-09-20 10:10:00 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:09:54 UTC
Dear Lionel Elie Mamane,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug